Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » A persistent start has been called on bundle(using tycho-surefire-plugin I get persistent Start)
A persistent start has been called on bundle [message #1847396] Mon, 25 October 2021 22:30 Go to next message
Iulian Peca is currently offline Iulian PecaFriend
Messages: 2
Registered: January 2021
Junior Member
Hello,

I have been trying to use tycho-surefire-plugin (version 2.5.0) to execute JUnit tests.
The story is like this.
I have a nexus where I deploy some p2 repository.
I have a project that uses the target platform to get the resources. The Manifest Uses the proper Require-Bundles.

If I run the JUnit test from the eclipse, it works as expected.
If I run the "mvn clean install" I get:

StartLevel: changing bundle startlevel; org.eclipse.tycho.surefire.osgibooter_2.5.0 [113]; newSL=4; activeSL=0
StartLevel: changing bundle startlevel; org.eclipse.tycho.surefire.junit4_2.5.0 [114]; newSL=4; activeSL=0
java.lang.Exception: A persistent start has been called on bundle: org.eclipse.core.runtime_3.15.100.v20181107-1343 [9]
        at org.eclipse.osgi.internal.framework.EquinoxBundle.start(EquinoxBundle.java:429)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.startBundle(EclipseStarter.java:1067)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.startBundles(EclipseStarter.java:1060)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.loadBasicBundles(EclipseStarter.java:604)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:331)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:251)
        at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
        at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.base/java.lang.reflect.Method.invoke(Method.java:566)
        at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:659)
        at org.eclipse.equinox.launcher.Main.basicRun(Main.java:595)
        at org.eclipse.equinox.launcher.Main.run(Main.java:1501)
        at org.eclipse.equinox.launcher.Main.main(Main.java:1474)
Time to load bundles: 496
java.lang.Exception: A persistent start has been called on bundle: org.eclipse.osgi_3.13.200.v20181130-2106 [0]
        at org.eclipse.osgi.internal.framework.EquinoxBundle.start(EquinoxBundle.java:429)
        at org.eclipse.osgi.internal.framework.EquinoxBundle.start(EquinoxBundle.java:450)
        at org.eclipse.osgi.launch.Equinox.start(Equinox.java:118)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:338)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:251)
        at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
        at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.base/java.lang.reflect.Method.invoke(Method.java:566)
        at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:659)
        at org.eclipse.equinox.launcher.Main.basicRun(Main.java:595)
        at org.eclipse.equinox.launcher.Main.run(Main.java:1501)
        at org.eclipse.equinox.launcher.Main.main(Main.java:1474)
StartLevel: incremented active start level to; 1
StartLevel: setStartLevel: 6
StartLevel: incremented active start level to; 2
StartLevel: incremented active start level to; 3
StartLevel: incremented active start level to; 4
StartLevel: resuming bundle; org.eclipse.equinox.simpleconfigurator_1.3.200.v20181101-1115 [15]; with startLevel=4
StartLevel: resuming bundle; com.ibm.icu_63.1.0.v20181030-1705 [17]; with startLevel=4


I also tried to play with the <bundleStartLevel> inside the tycho-surefire-plugin, but I cannot solve the org.eclipse.core.runtime and org.eclipse.osgi. From my understanding I should not really modify the start level of these two bundles, but it looks like tycho is not doing it...

A similar question I found here, but there is no solution. https://stackoverflow.com/questions/14354434/what-does-this-mean-a-persistent-start-has-been-called-on-bundle

The important part of my target platform for eclipse-2018-12:
<location includeAllPlatforms="false" includeConfigurePhase="true" includeMode="planner" includeSource="true" type="InstallableUnit">
		    <unit id="org.eclipse.rcp.feature.group" version="4.10.0.v20181206-0815"/>
		    <unit id="org.eclipse.rcp.source.feature.group" version="4.10.0.v20181206-0815"/>
		    <unit id="org.eclipse.equinox.sdk.feature.group" version="3.16.0.v20181130-2106"/>
		    <unit id="org.eclipse.jdt.feature.group" version="3.16.0.v20181206-1038"/>
		    <unit id="org.eclipse.jdt.source.feature.group" version="3.16.0.v20181206-1038"/>
		    <unit id="org.eclipse.pde.feature.group" version="3.13.300.v20181206-0815"/>
		    <unit id="org.eclipse.pde.source.feature.group" version="3.13.300.v20181206-0815"/>
		    <unit id="org.eclipse.platform.ide" version="4.10.0.I20181206-0815"/>
		    <unit id="org.eclipse.platform.sdk" version="4.10.0.I20181206-0815"/>
		    <unit id="org.eclipse.sdk.ide" version="4.10.0.I20181206-0815"/>
		    <repository location="https://download.eclipse.org/eclipse/updates/4.10/"/>
	    </location>
	  
  <location includeAllPlatforms="false" includeConfigurePhase="true" includeMode="planner" includeSource="true" type="InstallableUnit">
			<unit id="org.eclipse.equinox.executable.feature.group" version="3.8.200.v20180922-1751"/>
			<repository location="https://download.eclipse.org/releases/2018-12/"/>
	    </location> 





Thank you
Re: A persistent start has been called on bundle [message #1847413 is a reply to message #1847396] Tue, 26 October 2021 13:52 Go to previous message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 4165
Registered: July 2009
Senior Member

You should ask on the tycho user mailing list.

Nitin Dahyabhai
Eclipse Web Tools Platform
Previous Topic:Content Assist Broken
Next Topic:Help for running Eclipse on a legacy Mac OS (10.9)
Goto Forum:
  


Current Time: Sun Jan 23 18:31:25 GMT 2022

Powered by FUDForum. Page generated in 0.03152 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top